Summary:	xload application - system load average display for X
Summary(pl.UTF-8):	Aplikacja xload - wyświetlanie obciążenia systemu pod X
Name:		xorg-app-xload
Version:	1.1.2
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xload-%{version}.tar.bz2
# Source0-md5:	b9e9808db18acecf4cdec134d86b157c
Source1:	xload.desktop
Source2:	xload.png
Source3:	xload.1x.it
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	gettext-tools
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.0.0
BuildRequires:	xorg-proto-xproto-devel >= 7.0.17
BuildRequires:	xorg-util-util-macros >= 1.8
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The xload program displays a periodically updating histogram of the
system load average.

%description -l pl.UTF-8
Program xload wyświetla okresowo uaktualniany histogram średniego
obciążenia systemu (load average).

%prep
%setup -q -n xload-%{version}

%build
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/xload.desktop
install -D %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}/xload.png
install -D %{SOURCE3} $RPM_BUILD_ROOT%{_mandir}/it/man1/xload.1x

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xload
%{_datadir}/X11/app-defaults/XLoad
%{_desktopdir}/xload.desktop
%{_pixmapsdir}/xload.png
%{_mandir}/man1/xload.1*
%lang(it) %{_mandir}/it/man1/xload.1*
%changelog
* Sat May 02 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-xload.git;a=log;h=master

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> bd908b0
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 812f2f6
- updated gettext BR

* Tue Aug 06 2013 Jakub Bogusz <qboosh@pld-linux.org> 03873f8
- updated to 1.1.2

* Fri Mar 23 2012 Jakub Bogusz <qboosh@pld-linux.org> ed16c74
- updated to 1.1.1

* Thu Jan 27 2011 sparky <sparky@pld-linux.org> 7efe245
- BR: gettext-devel

* Wed Sep 29 2010 Jakub Bogusz <qboosh@pld-linux.org> a1dac9c
- updated to 1.1.0
- removed obsolete xaw patch

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f594e25
- rel 3; fix xaw related build

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1e97c04
- new

* Fri Nov 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> fab375f
- release 2

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 84518f1
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Sat Mar 31 2007 Jakub Bogusz <qboosh@pld-linux.org> 70d5cf6
- real description from man page

* Thu Mar 22 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 8b4e342
- up to 1.0.2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 089fa17
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1d228ed
- converted to UTF-8

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> c46f070
- merged it xload(1x) manual from old XFree86/X11 packages
- use individual dir, more verbose files, release 1

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 5c82844
- from XFree86-non-english-Xman-pages

* Tue Feb 07 2006 Jakub Bogusz <qboosh@pld-linux.org> 6ff112f
- merged xload.{desktop,png} from monolith

* Mon Jan 16 2006 Jakub Bogusz <qboosh@pld-linux.org> 10dc4d7
- runtime R: libXt >= 1.0.0 (for new app-defaults location)

* Thu Jan 12 2006 Jakub Bogusz <qboosh@pld-linux.org> 8bd90cf
- 1.0.1 (X11R7.0 release)

* Tue Dec 13 2005 Jakub Bogusz <qboosh@pld-linux.org> 9bd69f6
- 0.99.2 (X11R7.0-RC3)

